RDKit::SubstructMatchParameters Struct Reference

`#include <SubstructMatch.h>`

## Public Member Functions

| SubstructMatchParameters ()

## Public Attributes

bool | useChirality
bool | aromaticMatchesConjugated
bool | useQueryQueryMatches
bool | recursionPossible
| Allow recursive queries. More...
bool | uniquify
| uniquify (by atom index) match results More...
unsigned int | maxMatches
| maximum number of matches to return More...
int | numThreads

## Detailed Description

Definition at line 28 of file SubstructMatch.h.

## Constructor & Destructor Documentation

## SubstructMatchParameters()

RDKit::SubstructMatchParameters::SubstructMatchParameters | ( |  | ) |

inline

Definition at line 44 of file SubstructMatch.h.

## Member Data Documentation

## aromaticMatchesConjugated

bool RDKit::SubstructMatchParameters::aromaticMatchesConjugated

Aromatic and conjugated bonds match each other

Definition at line 31 of file SubstructMatch.h.

## maxMatches

unsigned int RDKit::SubstructMatchParameters::maxMatches

maximum number of matches to return

Definition at line 37 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## numThreads

int RDKit::SubstructMatchParameters::numThreads

number of threads to use when multi-threading is possible. 0 selects the number of concurrent threads supported by the hardware negative values are added to the number of concurrent threads supported by the hardware

Definition at line 38 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## recursionPossible

bool RDKit::SubstructMatchParameters::recursionPossible

Allow recursive queries.

Definition at line 35 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## uniquify

bool RDKit::SubstructMatchParameters::uniquify

uniquify (by atom index) match results

Definition at line 36 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## useChirality

bool RDKit::SubstructMatchParameters::useChirality

Use chirality in determining whether or not atoms/bonds match

Definition at line 29 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## useQueryQueryMatches

bool RDKit::SubstructMatchParameters::useQueryQueryMatches

Consider query-query matches, not just simple matches

Definition at line 33 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

The documentation for this struct was generated from the following file:

- SubstructMatch.h